
%define name    agave
%define version 0.4.7
%define release %mkrel 2

Name:           %{name} 
Summary:        A GNOME tool to choose colors
Version:        %{version} 
Release:        %{release} 
Source0:        http://download.gna.org/colorscheme/releases/%{name}-%{version}.tar.bz2 
Patch0:		agave-0.4.7-mdv-fix-str-fmt.patch

BuildRequires:  pkgconfig
BuildRequires:  gnome-doc-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  gtkmm2.4-devel
BuildRequires:  libglademm2.4-devel
BuildRequires:  gnomeui2-devel
BuildRequires:  gconfmm2.6-devel
BuildRequires:  boost-devel
BuildRequires:	intltool

URL:            http://home.gna.org/colorscheme/

Group:          Graphics
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL 

%description
A GNOME tool to choose colors

%prep
%setup -q 
%patch0 -p1 -b .strfmt

%build 
%configure 
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %name

%clean 
rm -rf %{buildroot}

%files -f %name.lang
%defattr(0755,root,root) 
%doc README NEWS COPYING AUTHORS 
%{_bindir}/agave
%{_sysconfdir}/gconf/schemas/agave.schemas
%dir %{_datadir}/agave
%dir %{_datadir}/agave/palettes
%{_datadir}/agave/palettes/*.gpl
%dir %{_datadir}/agave/pixmaps
%{_datadir}/agave/pixmaps/*.png
%dir %{_datadir}/agave/ui
%{_datadir}/agave/ui/agave.glade
%{_datadir}/agave/ui/*.ui
%{_datadir}/applications/agave.desktop
%dir %{_datadir}/gnome/help/agave
%dir %{_datadir}/gnome/help/agave/C
%dir %{_datadir}/gnome/help/agave/cs
%dir %{_datadir}/gnome/help/agave/de
%{_datadir}/gnome/help/agave/*/*.xml
%dir %{_datadir}/gnome/help/agave/C/figures
%dir %{_datadir}/gnome/help/agave/cs/figures
%dir %{_datadir}/gnome/help/agave/de/figures
%{_datadir}/gnome/help/agave/*/figures/*.png
%{_iconsdir}/hicolor/*/apps/agave.png
%{_iconsdir}/hicolor/scalable/apps/agave.svg
%dir %{_datadir}/omf/agave
%{_datadir}/omf/agave/agave*.omf




%changelog
* Mon Dec 14 2009 Olivier Faurax <ofaurax@mandriva.org> 0.4.7-2mdv2010.1
+ Revision: 478393
- rebuild

* Wed Nov 25 2009 Jérôme Brenier <incubusss@mandriva.org> 0.4.7-1mdv2010.1
+ Revision: 470054
- BR intltool
- version 0.4.7
- fix str fmt (P0)
- fix files section
- $RPM_BUILD_ROOT -> %%{buildroot}

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - rebuild

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.4.5-1mdv2008.1
+ Revision: 177232
- update to new release

* Sun Feb 24 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.4.3-2mdv2008.1
+ Revision: 174200
- Add icons for menu (Bug #38094)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.4.3-1mdv2008.1
+ Revision: 115525
- Fix Group
- Add buildRequires

  + Colin Guthrie <cguthrie@mandriva.org>
    - import agave


* Tue Dec 04 2007 Olivier FAURAX <olivier.faurax@laposte.net> 0.4.3-1mdv
- First release
